proc define_signals_S10_H-tile_Hard_100GBase-KR4 {} {
	global MAIN_DICT dash clock
	global hierarchy5_ch0 hierarchy5_ch1 hierarchy5_ch2 hierarchy5_ch3
	global hierarchy6
	
	set MAIN_DICT {}

	dict set MAIN_DICT var.DEBUG_MODE 1
	
	#In KHz. This is the sampling clock for STP file. 
	set clock 100000

	#10G-KR->1	 40G-KR->4  100KR->4
	dict set MAIN_DICT var.no_of_channels 4
	
	#Total no.of signals to be extracted from .csv file
	dict set MAIN_DICT var.TOTAL_SIGNALS 145
	
	#Total states of Sequencer SM to be extracted from .csv file
	dict set MAIN_DICT var.TOTAL_STATES 10
	
	#If toggling signal, the number of states to be displayed
	dict set MAIN_DICT display_number 3
	
	#List of different hierarchies to be accessed for various signals
	#SSM
	set hierarchy1_patternmatch {alt_ehipc2_0\|GENKR\.alt_ehipc2_kr_inst\|kr_top\|SEQUENCER\|seq_sm\.}
	set hierarchy1 {alt_ehipc2_0|GENKR.alt_ehipc2_kr_inst|kr_top|SEQUENCER|seq_sm.}
	set hierarchy2_patternmatch {alt_ehipc2_0\|GENKR\.alt_ehipc2_kr_inst\|kr_top\|SEQUENCER\|}
	set hierarchy2 {alt_ehipc2_0|GENKR.alt_ehipc2_kr_inst|kr_top|SEQUENCER|}
	#AN
	set hierarchy3_patternmatch {alt_ehipc2_0\|GENKR\.alt_ehipc2_kr_inst\|kr_top\|AN_GEN\.AUTO_NEG\|ARB\|an_arb_sm\.}
	set hierarchy3 {alt_ehipc2_0|GENKR.alt_ehipc2_kr_inst|kr_top|AN_GEN.AUTO_NEG|ARB|an_arb_sm.}
	set hierarchy4_patternmatch {alt_ehipc2_0\|GENKR\.alt_ehipc2_kr_inst\|kr_top\|AN_GEN\.AUTO_NEG\|ARB\|}
	set hierarchy4 {alt_ehipc2_0|GENKR.alt_ehipc2_kr_inst|kr_top|AN_GEN.AUTO_NEG|ARB|}
	#LT
	set hierarchy5_patternmatch_ch0 {alt_ehipc2_0\|GENKR\.alt_ehipc2_kr_inst\|kr_top\|lane_gen\[0\]\.LT_GEN\.LINK_TRAIN\|}
	set hierarchy5_ch0 {alt_ehipc2_0|GENKR.alt_ehipc2_kr_inst|kr_top|lane_gen[0].LT_GEN.LINK_TRAIN|}
	set hierarchy5_patternmatch_ch1 {alt_ehipc2_0\|GENKR\.alt_ehipc2_kr_inst\|kr_top\|lane_gen\[1\]\.LT_GEN\.LINK_TRAIN\|}
	set hierarchy5_ch1 {alt_ehipc2_0|GENKR.alt_ehipc2_kr_inst|kr_top|lane_gen[1].LT_GEN.LINK_TRAIN|}
	set hierarchy5_patternmatch_ch2 {alt_ehipc2_0\|GENKR\.alt_ehipc2_kr_inst\|kr_top\|lane_gen\[2\]\.LT_GEN\.LINK_TRAIN\|}
	set hierarchy5_ch2 {alt_ehipc2_0|GENKR.alt_ehipc2_kr_inst|kr_top|lane_gen[2].LT_GEN.LINK_TRAIN|}
	set hierarchy5_patternmatch_ch3 {alt_ehipc2_0\|GENKR\.alt_ehipc2_kr_inst\|kr_top\|lane_gen\[3\]\.LT_GEN\.LINK_TRAIN\|}
	set hierarchy5_ch3 {alt_ehipc2_0|GENKR.alt_ehipc2_kr_inst|kr_top|lane_gen[3].LT_GEN.LINK_TRAIN|}
	#Data
	set hierarchy6_patternmatch {alt_ehipc2_0\|GENKR\.alt_ehipc2_kr_inst\|kr_top\|}
	set hierarchy6 {alt_ehipc2_0|GENKR.alt_ehipc2_kr_inst|kr_top|}
	set hierarchy7_patternmatch {alt_ehipc2_0\|} 
	set hierarchy7 {alt_ehipc2_0|}
	set hierarchy8_patternmatch {alt_ehipc2_0\|alt_ehipc2_reset_controller_inst\|}
	set hierarchy8 {alt_ehipc2_0|alt_ehipc2_reset_controller_inst|}
	
	#List of signals to be read from CSV file.  Whenever below list is updated, please update the parameter "TOTAL_SIGNALS" and "TOTAL_STATES" 
	#Sequencer SM States. Signals representing SSM states should be defined first in the below list. Restriction coming from FOR loop of procedure "find_start_stop_time_of_states"
		dict set MAIN_DICT var.signal1 "SSM_ENABLE"
		dict set MAIN_DICT var.signal1.patMatch "[set hierarchy1_patternmatch]SSM_ENABLE"
		dict set MAIN_DICT var.signal2 "SSM_RC_AN"
		dict set MAIN_DICT var.signal2.patMatch "[set hierarchy1_patternmatch]SSM_RC_AN"
		dict set MAIN_DICT var.signal3 "SSM_AN_ABL"
		dict set MAIN_DICT var.signal3.patMatch "[set hierarchy1_patternmatch]SSM_AN_ABL"
		dict set MAIN_DICT var.signal4 "SSM_AN_CHK"
		dict set MAIN_DICT var.signal4.patMatch "[set hierarchy1_patternmatch]SSM_AN_CHK"
		dict set MAIN_DICT var.signal5 "SSM_RC_LT"
		dict set MAIN_DICT var.signal5.patMatch "[set hierarchy1_patternmatch]SSM_RC_LT"
		dict set MAIN_DICT var.signal6 "SSM_LT_CHK"	
		dict set MAIN_DICT var.signal6.patMatch "[set hierarchy1_patternmatch]SSM_LT_CHK"
		dict set MAIN_DICT var.signal7 "SSM_RC_DAT"	
		dict set MAIN_DICT var.signal7.patMatch "[set hierarchy1_patternmatch]SSM_RC_DAT"	
		dict set MAIN_DICT var.signal8 "SSM_LNK_CHK"		
		dict set MAIN_DICT var.signal8.patMatch "[set hierarchy1_patternmatch]SSM_LNK_CHK"		
		dict set MAIN_DICT var.signal9 "SSM_LNK_RDY"
		dict set MAIN_DICT var.signal9.patMatch "[set hierarchy1_patternmatch]SSM_LNK_RDY"
		dict set MAIN_DICT var.signal10 "SSM_LR_WAIT"  
		dict set MAIN_DICT var.signal10.patMatch "[set hierarchy1_patternmatch]SSM_LR_WAIT"  
		
	#LF Timer
		dict set MAIN_DICT var.signal11 "stage_one"
		dict set MAIN_DICT var.signal11.patMatch "[set hierarchy2_patternmatch]stage_one\\\[9\\.\\.0\\\]"
		dict set MAIN_DICT var.signal12 "stage_two"
		dict set MAIN_DICT var.signal12.patMatch "[set hierarchy2_patternmatch]stage_two\\\[9\\.\\.0\\\]"
		dict set MAIN_DICT var.signal13 "stage_trey"
		dict set MAIN_DICT var.signal13.patMatch "[set hierarchy2_patternmatch]stage_trey\\\[6\\.\\.0\\\]"
		#dict set MAIN_DICT var.signal19 "pcs_mode_rc"
		#dict set MAIN_DICT var.signal19.patMatch "[set hierarchy2_patternmatch]pcs_mode_rc\\\[5\\.\\.0\\\]"
	#Auto Neg
		dict set MAIN_DICT var.signal14 "AN_ARB_ENABLE"
		dict set MAIN_DICT var.signal14.patMatch "[set hierarchy3_patternmatch]AN_ARB_ENABLE"
		dict set MAIN_DICT var.signal15 "AN_ARB_TX_DIS"
		dict set MAIN_DICT var.signal15.patMatch "[set hierarchy3_patternmatch]AN_ARB_TX_DIS"
		dict set MAIN_DICT var.signal16 "AN_ARB_ABL_DET"
		dict set MAIN_DICT var.signal16.patMatch "[set hierarchy3_patternmatch]AN_ARB_ABL_DET"
		dict set MAIN_DICT var.signal17 "AN_ARB_ACK_DET"
		dict set MAIN_DICT var.signal17.patMatch "[set hierarchy3_patternmatch]AN_ARB_ACK_DET"
		dict set MAIN_DICT var.signal18 "AN_ARB_COMP_ACK"
		dict set MAIN_DICT var.signal18.patMatch "[set hierarchy3_patternmatch]AN_ARB_COMP_ACK"
		dict set MAIN_DICT var.signal19 "AN_ARB_AN_GOOD"
		dict set MAIN_DICT var.signal19.patMatch "[set hierarchy3_patternmatch]AN_ARB_AN_GOOD"
		dict set MAIN_DICT var.signal20 "AN_ARB_NXT_PAGE"
		dict set MAIN_DICT var.signal20.patMatch "[set hierarchy3_patternmatch]AN_ARB_NXT_PAGE"
		dict set MAIN_DICT var.signal21 "ackm_wd"
		dict set MAIN_DICT var.signal21.patMatch "[set hierarchy4_patternmatch]ackm_wd\\\[48\\.\\.1\\\]"
		dict set MAIN_DICT var.signal22 "page_data"
		dict set MAIN_DICT var.signal22.patMatch "[set hierarchy4_patternmatch]page_data\\\[49\\.\\.1\\\]"
		dict set MAIN_DICT var.signal23 "an_enable"
		dict set MAIN_DICT var.signal23.patMatch "[set hierarchy4_patternmatch]an_enable"
		dict set MAIN_DICT var.signal24 "an_rx_idle"
		dict set MAIN_DICT var.signal24.patMatch "[set hierarchy4_patternmatch]an_rx_idle"
		dict set MAIN_DICT var.signal25 "lcl_tech"
		dict set MAIN_DICT var.signal25.patMatch "[set hierarchy4_patternmatch]lcl_tech\\\[24\\.\\.0\\\]"
		dict set MAIN_DICT var.signal26 "lp_tech"
		dict set MAIN_DICT var.signal26.patMatch "[set hierarchy4_patternmatch]lp_tech\\\[24\\.\\.0\\\]"
		dict set MAIN_DICT var.signal27 "an_done"
		dict set MAIN_DICT var.signal27.patMatch "[set hierarchy2_patternmatch]an_done"
		dict set MAIN_DICT var.signal28 "ieee_mode"
		dict set MAIN_DICT var.signal28.patMatch "[set hierarchy6_patternmatch]ieee_mode\\\[11\\.\\.0\\\]"
		
		
	#Link Training (12 * 4 = 48)
		set offset 0
			for {set ch 0} {$ch <4} {incr ch}  {
			
			dict set MAIN_DICT var.signal[expr {29 + $offset}] "[set hierarchy5_ch$ch]lt_enable"
			dict set MAIN_DICT var.signal[expr {29 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]lt_enable"
			dict set MAIN_DICT var.signal[expr {30 + $offset}] "[set hierarchy5_ch$ch]frame_lock"
			dict set MAIN_DICT var.signal[expr {30 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]frame_lock"
			dict set MAIN_DICT var.signal[expr {31 + $offset}] "[set hierarchy5_ch$ch]lcl_rx_ready"
			dict set MAIN_DICT var.signal[expr {31 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]lcl_rx_ready"
			dict set MAIN_DICT var.signal[expr {32 + $offset}] "[set hierarchy5_ch$ch]rx_trained"
			dict set MAIN_DICT var.signal[expr {32 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]rx_trained"
			dict set MAIN_DICT var.signal[expr {33 + $offset}] "[set hierarchy5_ch$ch]rmt_rx_ready"
			dict set MAIN_DICT var.signal[expr {33 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]rmt_rx_ready"
			dict set MAIN_DICT var.signal[expr {34 + $offset}] "[set hierarchy5_ch$ch]lcl_coefh"
			dict set MAIN_DICT var.signal[expr {34 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]lcl_coefh\\\[13\\.\\.12\\\]"
			dict set MAIN_DICT var.signal[expr {35 + $offset}] "[set hierarchy5_ch$ch]lcl_coefl"
			dict set MAIN_DICT var.signal[expr {35 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]lcl_coefl\\\[5\\.\\.0\\\]"
			dict set MAIN_DICT var.signal[expr {36 + $offset}] "[set hierarchy5_ch$ch]lcl_coef_sts"
			dict set MAIN_DICT var.signal[expr {36 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]lcl_coef_sts\\\[5\\.\\.0\\\]"
			dict set MAIN_DICT var.signal[expr {37 + $offset}] "[set hierarchy5_ch$ch]rmt_coef_updh"
			dict set MAIN_DICT var.signal[expr {37 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]rmt_coef_updh\\\[13\\.\\.12\\\]"
			dict set MAIN_DICT var.signal[expr {38 + $offset}] "[set hierarchy5_ch$ch]rmt_coef_updl"
			dict set MAIN_DICT var.signal[expr {38 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]rmt_coef_updl\\\[5\\.\\.0\\\]"
			dict set MAIN_DICT var.signal[expr {39 + $offset}] "[set hierarchy5_ch$ch]rmt_coef_sts"
			dict set MAIN_DICT var.signal[expr {39 + $offset}].patMatch "[set hierarchy5_patternmatch_ch$ch]rmt_coef_sts\\\[5\\.\\.0\\\]"		
			dict set MAIN_DICT var.signal[expr {40 + $offset}] "[set hierarchy6]rmt_upd_new"
			dict set MAIN_DICT var.signal[expr {40 + $offset}].patMatch "[set hierarchy6_patternmatch]rmt_upd_new\\\[$ch\\\]"				
			set offset [expr {$offset + 12}]
		}
		
	#DATA	
		dict set MAIN_DICT var.signal77 "o_rx_am_lock"
		dict set MAIN_DICT var.signal77.patMatch "[set hierarchy7_patternmatch]o_rx_am_lock"
		dict set MAIN_DICT var.signal78 "o_rx_block_lock"
		dict set MAIN_DICT var.signal78.patMatch "[set hierarchy7_patternmatch]o_rx_block_lock"
		dict set MAIN_DICT var.signal79 "o_rx_hi_ber"
		dict set MAIN_DICT var.signal79.patMatch "[set hierarchy7_patternmatch]o_rx_hi_ber"
	#(13 * 4 = 52)	
		set offset 0
		for {set ch 0} {$ch <4} {incr ch}  {
			dict set MAIN_DICT var.signal[expr {80 + $offset}] "rx_is_lockedtodata$ch"
			dict set MAIN_DICT var.signal[expr {80 + $offset}].patMatch "[set hierarchy7_patternmatch]rx_is_lockedtodata\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {81 + $offset}] "rx_is_lockedtoref$ch"
			dict set MAIN_DICT var.signal[expr {81 + $offset}].patMatch "[set hierarchy7_patternmatch]rx_is_lockedtoref\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {82 + $offset}] "rx_aib_reset_out$ch"
			dict set MAIN_DICT var.signal[expr {82 + $offset}].patMatch "[set hierarchy8_patternmatch]rx_aib_reset_out\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {83 + $offset}] "rx_analogreset_out$ch"
			dict set MAIN_DICT var.signal[expr {83 + $offset}].patMatch "[set hierarchy8_patternmatch]rx_analogreset_out\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {84 + $offset}] "rx_pcs_reset_out$ch"
			dict set MAIN_DICT var.signal[expr {84 + $offset}].patMatch "[set hierarchy8_patternmatch]rx_pcs_reset_out\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {85 + $offset}] "rx_analogreset_stat_in$ch"
			dict set MAIN_DICT var.signal[expr {85 + $offset}].patMatch "[set hierarchy8_patternmatch]rx_analogreset_stat_in\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {86 + $offset}] "rx_transfer_ready_in$ch"
			dict set MAIN_DICT var.signal[expr {86 + $offset}].patMatch "[set hierarchy8_patternmatch]rx_transfer_ready_in\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {87 + $offset}] "tx_aib_reset_out$ch"
			dict set MAIN_DICT var.signal[expr {87 + $offset}].patMatch "[set hierarchy8_patternmatch]tx_aib_reset_out\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {88 + $offset}] "tx_analogreset_out$ch"
			dict set MAIN_DICT var.signal[expr {88 + $offset}].patMatch "[set hierarchy8_patternmatch]tx_analogreset_out\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {89 + $offset}] "tx_analogreset_stat_in$ch"
			dict set MAIN_DICT var.signal[expr {89 + $offset}].patMatch "[set hierarchy8_patternmatch]tx_analogreset_stat_in\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {90 + $offset}] "tx_pcs_reset_out$ch"
			dict set MAIN_DICT var.signal[expr {90 + $offset}].patMatch "[set hierarchy8_patternmatch]tx_pcs_reset_out\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {91 + $offset}] "tx_transfer_ready_in$ch"
			dict set MAIN_DICT var.signal[expr {91 + $offset}].patMatch "[set hierarchy8_patternmatch]tx_transfer_ready_in\\\[$ch\\\]"
			dict set MAIN_DICT var.signal[expr {92 + $offset}] "tx_dll_lock_in$ch"
			dict set MAIN_DICT var.signal[expr {92 + $offset}].patMatch "[set hierarchy8_patternmatch]tx_dll_lock_in\\\[$ch\\\]"
			set offset [expr {$offset + 13}]
		}
	
		dict set MAIN_DICT var.signal132 "pcs_mode_rc"
		dict set MAIN_DICT var.signal132.patMatch "[set hierarchy2_patternmatch]pcs_mode_rc\\\[5\\.\\.0\\\]"
		
		dict set MAIN_DICT var.signal133 "ehip_reset_out"
		dict set MAIN_DICT var.signal133.patMatch "[set hierarchy8_patternmatch]ehip_reset_out"
		dict set MAIN_DICT var.signal134 "ehip_rx_reset_out"
		dict set MAIN_DICT var.signal134.patMatch "[set hierarchy8_patternmatch]ehip_rx_reset_out"
		dict set MAIN_DICT var.signal135 "ehip_tx_reset_out"
		dict set MAIN_DICT var.signal135.patMatch "[set hierarchy8_patternmatch]ehip_tx_reset_out"
		
	#Next states of Sequencer SM States. Must to have these for accuracy of the timings reported by Link Analysis.
		dict set MAIN_DICT var.signal136 "nxt_seq_sm.SSM_ENABLE"
		dict set MAIN_DICT var.signal136.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_ENABLE"
		dict set MAIN_DICT var.signal137 "nxt_seq_sm.SSM_RC_AN"
		dict set MAIN_DICT var.signal137.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_RC_AN"
		dict set MAIN_DICT var.signal138 "nxt_seq_sm.SSM_AN_ABL"
		dict set MAIN_DICT var.signal138.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_AN_ABL"
		dict set MAIN_DICT var.signal139 "nxt_seq_sm.SSM_AN_CHK"
		dict set MAIN_DICT var.signal139.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_AN_CHK"
		dict set MAIN_DICT var.signal140 "nxt_seq_sm.SSM_RC_LT"
		dict set MAIN_DICT var.signal140.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_RC_LT"
		dict set MAIN_DICT var.signal141 "nxt_seq_sm.SSM_LT_CHK"	
		dict set MAIN_DICT var.signal141.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_LT_CHK"
		dict set MAIN_DICT var.signal142 "nxt_seq_sm.SSM_RC_DAT"	
		dict set MAIN_DICT var.signal142.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_RC_DAT"	
		dict set MAIN_DICT var.signal143 "nxt_seq_sm.SSM_LNK_CHK"		
		dict set MAIN_DICT var.signal143.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_LNK_CHK"		
		dict set MAIN_DICT var.signal144 "nxt_seq_sm.SSM_LNK_RDY"
		dict set MAIN_DICT var.signal144.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_LNK_RDY"
		dict set MAIN_DICT var.signal145 "nxt_seq_sm.SSM_LR_WAIT"  
		dict set MAIN_DICT var.signal145.patMatch "[set hierarchy2_patternmatch]nxt_seq_sm.SSM_LR_WAIT"  
		
	
		
	#Define the KR modes and the respective SSM states in each mode
	#Define the total KR modes and mapping of SEQ SM states to KR modes 
	dict set MAIN_DICT var.no_of_KRstates "SEQ_Initialize Auto_Neg Link_Training Data"
	#Mapping of SEQ SM states to KR modes
	dict set MAIN_DICT var.[lindex [dict get $MAIN_DICT var.no_of_KRstates] 0] "SSM_ENABLE"
	dict set MAIN_DICT var.[lindex [dict get $MAIN_DICT var.no_of_KRstates] 1] "SSM_RC_AN SSM_AN_ABL SSM_AN_CHK"
	dict set MAIN_DICT var.[lindex [dict get $MAIN_DICT var.no_of_KRstates] 2] "SSM_RC_LT SSM_LT_CHK"
	dict set MAIN_DICT var.[lindex [dict get $MAIN_DICT var.no_of_KRstates] 3] "SSM_RC_DAT SSM_LNK_CHK SSM_LNK_RDY SSM_LR_WAIT"
	#SSM_RC_GE SSM_GE_CHK SSM_GE_PDF SSM_RC_XAU SSM_XAU_CHK SSM_XAU_PDF" 
	

	#AN Technology Look Up Table
	dict set MAIN_DICT AN_tech_map.0 "xxx"
	dict set MAIN_DICT AN_tech_map.1 "1000BASE-KX"
	dict set MAIN_DICT AN_tech_map.2 "10GBASE-KX4"
	dict set MAIN_DICT AN_tech_map.3 "10GBASE-KR"
	dict set MAIN_DICT AN_tech_map.4 "40GBASE-KR4"
	dict set MAIN_DICT AN_tech_map.5 "40GBASE-CR4"
	dict set MAIN_DICT AN_tech_map.6 "100GBASE-CR10"
	dict set MAIN_DICT AN_tech_map.7 "100GBASE-KP4"
	dict set MAIN_DICT AN_tech_map.8 "100GBASE-KR4"
	dict set MAIN_DICT AN_tech_map.9 "100GBASE-CR4"
	dict set MAIN_DICT AN_tech_map.10 "25GBASE-KR-S"
	dict set MAIN_DICT AN_tech_map.11 "25GBASE-KR"
	dict set MAIN_DICT AN_tech_map.12 Reserved
	dict set MAIN_DICT AN_tech_map.13 Reserved
	dict set MAIN_DICT AN_tech_map.14 "50GBASE-KR"
	dict set MAIN_DICT AN_tech_map.15 "100GBASE-KR2"
	dict set MAIN_DICT AN_tech_map.16 "200GBASE-KR4"
	dict set MAIN_DICT AN_tech_map.17 Reserved
	dict set MAIN_DICT AN_tech_map.18 Reserved
	dict set MAIN_DICT AN_tech_map.19 Reserved
	dict set MAIN_DICT AN_tech_map.20 Reserved
	dict set MAIN_DICT AN_tech_map.21 Reserved
	dict set MAIN_DICT AN_tech_map.22 Reserved
	dict set MAIN_DICT AN_tech_map.23 Reserved
	dict set MAIN_DICT AN_tech_map.24 Reserved
	dict set MAIN_DICT AN_tech_map.25 Reserved
	
	#Variables Initialization
	dict set MAIN_DICT var.TOTAL_SAMPLES 0
	dict set MAIN_DICT var.TOTAL_SEQ_STATES_TRAVERSED  0
	dict set MAIN_DICT var.TOTAL_KR_STATES_TRAVERSED 0
	#dict set MAIN_DICT var.IPtype [dashboard_get_property $dash eth_IP_selection selectedItem]
	for {set j 1} {$j <= [dict get $MAIN_DICT var.TOTAL_SIGNALS]} {incr j}	{
		dict set MAIN_DICT var.Xsignal$j 0
		dict set MAIN_DICT var.Ysignal$j 0
	} 
}